Bug 1530953 - [QEDevCollab] Get Current Server Time via REST API
Summary: [QEDevCollab] Get Current Server Time via REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Gregg Tanzillo
QA Contact: Parthvi Vala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-04 10:06 UTC by Pete Savage
Modified: 2019-02-07 23:00 UTC (History)
3 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:00:53 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:00:59 UTC

Description Pete Savage 2018-01-04 10:06:27 UTC
To test certain things we want the accurate time from the server, can we obtain this via REST please

Comment 3 CFME Bot 2018-01-24 22:27:45 UTC
New commit detected on ManageIQ/manageiq-api/master:
https://github.com/ManageIQ/manageiq-api/commit/e6f43d64eb8e162d9044000ac55b2b676f3529ff

commit e6f43d64eb8e162d9044000ac55b2b676f3529ff
Author:     Jillian Tullo <jtullo@redhat.com>
AuthorDate: Wed Jan 24 09:07:48 2018 -0500
Commit:     Jillian Tullo <jtullo@redhat.com>
CommitDate: Wed Jan 24 15:35:30 2018 -0500

    Return the time in the api entrypoint
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1530953

 app/controllers/api/api_controller.rb |  1 +
 spec/requests/entrypoint_spec.rb      | 25 ++++++++++++++-----------
 2 files changed, 15 insertions(+), 11 deletions(-)

Comment 5 Parthvi Vala 2018-11-13 10:23:32 UTC
FIXED. Verified on 5.10.0.23.20181106165157_92dd189.

Request: GET https://<ip_address>/api
Response: {
...
	"server_info": {
		"version": "5.10.0.23",
		"build": "20181106165157_92dd189",
		"appliance": "EVM",
		"time": "2018-11-13T10:19:08Z",
		"server_href": "https://<ip_address>/api/servers/1",
		"zone_href": "https://<ip_address>/api/zones/1",
		"region_href": "https://<ip_address>/api/regions/1",
		"enterprise_href": "https://<ip_address>/api/enterprises/1",
                ...
                }
...
}

Comment 6 errata-xmlrpc 2019-02-07 23:00:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.